version: '3'

services:
  flask:
    build: ./flask
    command: python manage.py run -h 0.0.0.0
    volumes:
      - ./flask/:/usr/src/app/
    ports:
      - 5000:5000
    env_file:
      - ./.env.dev
    depends_on:
      - db
  db:
    image: postgres:13-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file:
      - ./.env.dev
  swagger:
    image: swaggerapi/swagger-editor
    volumes:
      - ./swagger.json:/swagger.json
    ports:
      - "80:8080"

volumes:
  postgres_data:
